Class Index | File Index

## Classes

- _global_
- SIPml
- SIPml.Event
- SIPml.EventTarget
- SIPml.Session
- SIPml.Session.Call
- SIPml.Session.Configuration
- SIPml.Session.Event
- SIPml.Session.Message
- SIPml.Session.Publish
- SIPml.Session.Registration
- SIPml.Session.Subscribe
- SIPml.Stack
- SIPml.Stack.Configuration
- SIPml.Stack.Event

# AnonymousClass SIPml.Session.Configuration

SIPml.Session.Configuration
Defined in: SIPml.js.

AnonymousClass Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| SIPml.Session.Configuration Anonymous SIP Session configuration object.

Field Summary
Field Attributes | Field Name and Description
--- | ---
| audio_remote HTMLAudioElement used to playback the remote audio stream.
| bandwidth Defines the maximum audio and video bandwidth to use.
| expires Session timeout in seconds.
| from Set the source uri string to be used in the From header (available since API version 1.2.170).
| sip_caps {name,value} pairs defining the SIP capabilities associated to this session.
| sip_headers {name,value,session} trios defining the SIP headers associated to this session.
| video_local HTMLVideoElement where to display the local video preview.
| video_remote HTMLVideoElement where to display the remote video stream.
| video_size Defines the maximum and minimum video size to be used.

AnonymousClass Detail
SIPml.Session.Configuration
Anonymous SIP Session configuration object.

    var configuration =
    {
        expires: 200,
        audio_remote: document.getElementById('audio_remote'), // <audio id="audio_remote" .../>
        video_local: document.getElementById('video_local'),  // <video id="video_local" .../>
        video_remote: document.getElementById('video_remote'),  // <video id="video_remote" .../>
        sip_caps: [
                        {name: '+g.oma.sip-im'},
                        {name: '+sip.ice'},
                        {name: 'language', value: '\"en,fr\"'}
                ],
        sip_headers: [
                        {name: 'What', value: 'Audio/Video call', session: false},
                        {name: 'Organization', value: 'Doubango Telecom', session: false}
                ]
    }

Field Detail
{HTMLAudioElement} audio_remote
HTMLAudioElement used to playback the remote audio stream. This propety should be only used for audio sessions.

{Object} bandwidth
Defines the maximum audio and video bandwidth to use. This will change the outhoing SDP to include a "b:AS=" attribute. Use 0 to let the browser negotiates the right value using RTCP-REMB and congestion control. A default value for all sessions could be defined at stack level.
Available since version 1.3.203.
Example: { audio:64, video:512 }

{Integer} expires
Session timeout in seconds.

{String} from
Set the source uri string to be used in the From header (available since API version 1.2.170).

{Array} sip_caps
{name,value} pairs defining the SIP capabilities associated to this session. The capabilities are added to the Contact header. Please refer to rfc3840 and rfc3841 for more information.

{Array} sip_headers
{name,value,session} trios defining the SIP headers associated to this session. session is a boolean defining whether the header have to be added to all outgoing request or not (initial only).

{HTMLVideoElement} video_local
HTMLVideoElement where to display the local video preview. This propety should be only used for video sessions.

{HTMLVideoElement} video_remote
HTMLVideoElement where to display the remote video stream. This propety should be only used for video sessions.

{Object} video_size
Defines the maximum and minimum video size to be used. All values are optional. The browser will try to find the best video size between max and min based on the camera capabilities. A default value for all sessions could be defined at stack level.
Available since version 1.3.203.
Example: { minWidth:640, minHeight:480, maxWidth:1920, maxHeight:1080 }

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Sep 25 2013 03:40:14 GMT+0200 (CEST)